# Method: projects.datasets.list

- [HTTP request](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.ListDatasetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list#body.aspect_1)

Lists all the datasets for the specified project.

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1/{parent=projects/*}/datasets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project to list all the datasets for. Format: projects/{project} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of datasets to return per page. If unspecified (or zero), all datasets will be returned. |
| `pageToken` | `string` The page token, received from a previous datasets.list call. Provide this to retrieve the subsequent page. |
| `tag` | `string` The tag that specifies the desired version for each dataset. Note that when pagination is also specified, some filtering can happen after pagination, which may cause the response to contain fewer datasets than the page size, even if it's not the last page. Tag "active": Each dataset in the response will include the info of its latest completed version, and the dataset will be skipped if it does not have one. |

### Request body

The request body must be empty.

### Response body

Response object of datasets.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "datasets": [ { object (`https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets#Dataset`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `datasets[]` | ``object (`https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets#Dataset`)`` All the datasets for the project. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `mapsplatformdatasets.datasets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).